org.apache.commons.configuration2.builder.combined

## Interface ConfigurationBuilderProvider

- All Known Implementing Classes:
    BaseConfigurationBuilderProvider, CombinedConfigurationBuilderProvider, FileExtensionConfigurationBuilderProvider, MultiFileConfigurationBuilderProvider

      public interface ConfigurationBuilderProvider

  An interface for creating builders for configuration sources of a `CombinedConfigurationBuilder`.

  When processing its definition file `CombinedConfigurationBuilder` scans for tags declaring configuration sources and maps them to implementations of this interface. The instances are then used to obtain builder objects to create the corresponding configuration sources. Parameters of the builders are provided as `ConfigurationDeclaration` objects.

  Since:
    2.0
  Version:
    $Id: ConfigurationBuilderProvider.java 1624601 2014-09-12 18:04:36Z oheger $

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfigurationBuilder<? extends Configuration>` | `getConfigurationBuilder(ConfigurationDeclaration decl)` Returns the builder for the configuration source managed by this provider.

- - ### Method Detail

    - #### getConfigurationBuilder

          ConfigurationBuilder<? extends Configuration> getConfigurationBuilder(ConfigurationDeclaration decl)
                                                                         throws ConfigurationException

      Returns the builder for the configuration source managed by this provider. This method is called during processing of the combined configuration definition file.
      Parameters:
        `decl` - the bean declaration with initialization parameters for the configuration builder
      Returns:
        the `ConfigurationBuilder` object created by this provider
      Throws:
        `ConfigurationException` - if an error occurs

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.